aboutsummaryrefslogtreecommitdiff
path: root/internal
diff options
context:
space:
mode:
authorOlivier MARY <olivier@omary.fr>2020-05-07 12:02:31 +0300
committerGitHub <noreply@github.com>2020-05-07 12:02:31 +0300
commit541d573551ad4a9103098ddc7e6f116636b7030d (patch)
tree0ce05235ac7858b5fdeceafa41595c65a3234389 /internal
parent94bbbc1ca866fe94ef152bee01c39acd2b3d9edc (diff)
Fix _p9k_precmd:trap:17: undefined signal: return (#695)
Signed-off-by: Olivier MARY <olivier@omary.fr>
Diffstat (limited to 'internal')
-rw-r--r--internal/p10k.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/internal/p10k.zsh b/internal/p10k.zsh
index eaf261db..adf6127d 100644
--- a/internal/p10k.zsh
+++ b/internal/p10k.zsh
@@ -6441,7 +6441,7 @@ _p9k_precmd() {
# See https://www.zsh.org/mla/workers/2020/msg00612.html for the reason behind __p9k_trapint.
typeset -g __p9k_trapint='_p9k_trapint; return 130'
- trap $__p9k_trapint INT
+ trap "$__p9k_trapint" INT
}
function _p9k_reset_prompt() {